<?php
/**
* Body Classes.
*
* @package Videocast
*/
 
 if (!function_exists('videocast_body_classes')) :

    function videocast_body_classes($classes) {

        $videocast_default = videocast_get_default_theme_options();
        $ed_desktop_menu = get_theme_mod( 'ed_desktop_menu',$videocast_default['ed_desktop_menu'] );
        global $post;
        
        // Adds a class of hfeed to non-singular pages.
        if ( !is_singular() ) {
            $classes[] = 'hfeed';
        }
        if( $ed_desktop_menu ){

            $classes[] = 'enabled-desktop-menu';

        }else{

            $classes[] = 'disabled-desktop-menu';

        }

        $classes[] = 'twp-boxed';

        return $classes;
    }

endif;

add_filter('body_class', 'videocast_body_classes');